Page MenuHome

Snap selection to cursor with points of a bezier curve deletes the handles
Closed, ResolvedPublic

Description

System Information
Operating system: Linux-5.4.0-48-generic-x86_64-with-debian-bullseye-sid 64 Bits
Graphics card: GeForce GTX 1070 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 450.66

Blender Version
Broken: version: 2.90.1, branch: master, commit date: 2020-09-23 06:43, hash: rB3e85bb34d0d7
Worked: (newest version of Blender that worked as expected)

Short description of error
add a bezier curve, select a point of it that is not on the 3D cursor, hit shift+S and snap selection to cursor

Exact steps for others to reproduce the error
add a bezier curve, select a point of it that is not on the 3D cursor, hit shift+S and snap selection to cursor. This cannot be avoided as when selecting a point on a curve all the handles get selected too so scaling works with the handles too, but when snapping the point to the cursor position all the handles get snapped to that point too and are non-existent after that.
My suggestion for a fix would be to just snap the point to the 3D cursor and keep the handles unchanged in that case. When one of the handles is selected and user wants to snap this to 3D cursor it should do so, but not when the point is selected primarily.

Event Timeline

tt (ttt) created this task.Oct 2 2020, 1:19 PM

The option you want is Shift-S > Selection to Cursor (Keep Offset)

This keeps the handles in their relative positions but snaps the curve point to the cursor.

you are right, thanks a lot! this task can be closed or deleted...

Philipp Oeser (lichtwerk) closed this task as Resolved.Oct 5 2020, 4:37 PM
Philipp Oeser (lichtwerk) claimed this task.

Oki, glad to hear. Will close then.